@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=M+PLUS+Rounded+1c&display=swap');

.search {
    display: flex;
    align-items: center;
    justify-content: space-between;
    text-align: center;
    overflow: auto;
  }
  
  .search__input {
    font-family: inherit;
    font-size: inherit;
    background-color: #f4f2f2;
    border: 1px solid rgb(110, 110, 116);
    color: #646464;
    padding: 0.7rem 1rem;
    border-radius: 30px;
    width: 25em;
    transition: all ease-in-out .5s;
    margin-right: -2rem;

  }
  
  .search__input:hover, .search__input:focus {
    box-shadow: 0 0 1em #00000013;
  }
  
  .search__input:focus {
    outline: none;
    background-color: #f0eeee;
  }
  
  .search__input::-webkit-input-placeholder {
    font-weight: 100;
    color: #646464;;
  }
  
  .search__input:focus + .search__button {
    background-color: #f0eeee;
  }
  
  .search__button {
    border: none;
    background-color: #f4f2f2;
    margin-top: .1em;
    margin-right: .2rem;
    border-radius: 20px;
  }
  
  .search__button:hover {
    cursor: pointer;
  }
  
  .search__icon {
    height: 1.3em;
    width: 1.3em;
    fill: #b4b4b4;
  }



#section-p1{
    padding: 40px 80px;
}

#section-m1{
    margin: 40px 0;
}

button.normal{
    
    font-size: 15px;
    padding: 15px 30px;
    color: #000;
    background-color: #fff;
    border-radius: 4px;
    cursor: pointer;
    border: none;
    outline: none;
    transition: .2s;
}
#header{
    display: flex;
    align-items: centre;
    justify-content: space-between;
    padding: 20px 80px;
    background: #E3E6F3;
    box-shadow: 0 1px 1px rgba(0,0,0,0.06);
    position: sticky;
    top: 0;
    left: 0;
    z-index: 999;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

#navbar{
    display: flex;
    align-items: centre;
    justify-content: centre;
}

#navbar li{
    list-style-type: none;
    padding: 0 20px;
    position: relative;
}

#navbar li a{
    text-decoration: none;
    color: black;
    font-size: 16px;
    font-weight: 600;
    transition: 0.3s ease;

}

#navbar li a:hover,
#navbar li a.active{
    color: #088178;

}

#navbar li a.active::after,
#navbar li a:hover::after{
    content: "";
    width: 30%;
    height: 2px;
    background: #088178;
    position: abosulte;
    bottom: -4px;
    left: 20px;
}

.mobile{
    display: none;
    align-items: center;
}

 #close{
    color: #000;
    display: none;
} 

#hero{
    background-image: url("img/bg3.jpg");
    height: 90vh;
    background-size:cover;
    background-position: top 25% right 0;
    padding: 0 80px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    overflow: none;
    font-family: "Ubuntu", sans-serif;
    background-image: linear-gradient();
}



/*.adver:hover{
    filter: blur(4px);
    -webkit-filter: blur(4px);
}*/

#hero h4{
    padding-bottom: 15px;
}

.inner{
    box-shadow: 1px 1px 1px 1px;
}


/* Button */
#hero button {
    position: relative;
    overflow: hidden;
    outline: none;
    cursor: pointer;
    border-radius: 50px;
    /*background-color: #662d91;*/
    border: solid 1px hsla(195, 30%, 8%, 0.888);
    font-family: inherit;
    background-image: url("img/button.jpg");
    background-position: center;
    font-family: "Pacifico", cursive;
   }
   
   .default-btn,.hover-btn {
    /*background-color:#662d91;*/
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    align-items: center;
    gap: 15px;
    padding: 10px 10px;
    border-radius: 50px;
    font-size: 17px;
    font-weight: 500;
    text-transform: uppercase;
    transition: all .3s ease;
   }
   
   .hover-btn {
    position: absolute;
    inset: 0;
    /*background-color: hsl(256, 15%, 67%);*/
    transform: translate(0%,100%);
    background-image: url("img/button.jpg");
   }
   
   .default-btn span {
    color: #000;
   }
   
   .hover-btn span {
    color: hsl(0, 43%, 8%);
   }
   
   button:hover .default-btn {
    transform: translate(0%,-100%);
   }
   
   button:hover .hover-btn {
    transform: translate(0%,0%);
   }

.image{
     height: 170px;
     width: 200px;
     transition: transform 0.5s ease-in-out;
}

.product1{
    text-align: center;
}

.pro{
    width: 20%;
    min-width: 250px;
    padding: 10px 12px;
    border: 1px solid #cce7d0;
    cursor: pointer;
    box-shadow: 20px 20px 30px rgba(0,0,0,0.02);
    transition: .3s ease;
    margin: 15px 0;
    position: relative;
    border-radius: 25px;
    
}

.pro:hover{
    box-shadow: 20px 20px 30px rgba(0,0,0,0.5);
}
.pro img{
    width: 100%;
    height: 65%;
    border-radius: 20px;
}

.pro .des{
    text-align: start;
    
}

.pro .des span{
    color: #606063;
    font-size: 12px;
}

.pro .des h2{
    margin-top: 3px;
    color-scheme: #1a1a1a;
    font-size: 20px;
}

.pro .des h4{
    margin-bottom: 0;
}

.pro_cont{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    padding-top: 20px;
}

.pro a i{
    width: 40px;
    height: 40px;
    line-height: 40px;
    border-radius: 50px;
    background-color: #e8f6e8;
    /* font-weight: 500; */
    color: #088178;
    border: 1px solid #cce7d0;
    position: absolute;
    bottom: 20px;
    right: 10px;
    bottom: 6%;
    transition: .2s ease;
}

.pro a i:hover{
    background-color: #088178;
    color: #e8f6e8;
}

.banner{
    display: flex;
    flex-direction: column;
    justify-content:center;
    text-align: center;
    background-image: url(img/bg.jpg);
    width: 100%;
    height: 40vh;
    background-size: cover;
    background-position: center;
}

.banner button{
    width: 10%;
    align-self: center;
}

.banner button:hover{
    background-color: #088178;
    color: #e8f6e8;
}
.banner h3{
    color: #000;
    font-size: 20px;
    color:#cce7d0;
    font-family:'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
}

.banner h2{
    color:#cce7d0;
    font-size: 35px;
    padding: 10px 0;
    font-family:'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
}

.banner span{
    color: red;
}

.sm-banner{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.banner-box{
    display: flex;
    flex-direction: column;
    justify-content:center;
    align-items: flex-end;
    background-image: url(img/bg2.png);
    min-width: 580px;
    height: 40vh;
    background-size: cover;
    background-position: center;
    padding: 20px;
    margin: 10px;
    transition: .3s ease;
}

.banner-box h4 h2 span{
    color: #33371a;
    font-family:Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}

/*.banner-box h2{
    color: #33371a;
    font-family:Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}

.banner-box span{
    color: #33371a;
    font-family:Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}*/

.banner-box button{
    width: 20%;
    align-self:flex-end;
    margin-top: 10px;
}

button.white{
    font-size: 13px;
    padding: 10px;
    color:  #33371a;
    background-color: transparent;
    cursor: pointer;
    border: 1px solid black;
    border-radius: 0;
    outline: none;
    transition: .2s;
    font-size: 15px;
}

.banner-box:hover button{
    background-color: #33371a;
    color: white;
    border: 1px solid white;
}

.newsletter{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    background-color:#0a2351;
    padding: 20px 80px;
    margin: 40px 0;
}

.newstext{
    color: white;
    font-family: "Poppins", sans-serif;
}

.newstext span{
    color: #FFD700;
}
.form{
    display: flex;
    width: 50%;
}
.newsletter input{
    height: 3.125rem;
    padding: 0 1.25rem;
    font-size: 14px;
    width: 100%;
    border: 1px solid transparent;
    border-radius: 4px;
    outline: none;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.newsletter button{
    background-color: #088178;
    color: #fff;
    white-space: nowrap;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

footer{
    display:flex;
    flex-wrap: wrap;
    font-family: 'Segoe UI', Tahoma,  Verdana, sans-serif, sans-serif;
    justify-content: space-between;

}

footer .col{
    display:flex;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 20px;
}

footer .logo{
    margin-bottom: 30px;
}

footer h4{
    font-size: 14px;
    padding-bottom:20px;
}

footer p{
    font-size: 13px;
    margin: 0 0 8px 0;
}

footer a{
    font-size: 13px;
    text-decoration: none;
    color: #222;
    margin-bottom:10px;
}

footer .follow{
    margin-top: 20px;
}

footer .follow i{
    color: #465b52;
    padding-right: 4px;
    cursor: pointer;
}

footer .install .row img{
    border: 1px solid#088178;
    border-radius: 6px;
}

footer .install img{
    margin: 10px 0 15px 0;
}

footer .follow i:hover,
footer a:hover{
    color: #088178;
}

.row img{
    height: 50px;
    width: 150px;
}

#gateway{
    height: 80px;
    width: 300px;
}

/* Shop Page */
#pg-header{
    display: flex;
    background-image: url("img/bg.jpg");
    width: 100%;
    height: 35vh;
    background-size: cover;
    background-position: top 25% right 20%;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    color:#E3E6F3
}

#pg-header h2{
    margin-top: 0px;
    font-size: 50px;
}

#pg-header p{
    font-size: 30px;
}

/* Single Page Detail */
.detail{
    display: flex;
    margin-top: 20px;
}

.s-img{
    width: 29%;
    margin-right: 30px;
    
}

#main-img{
    display: flex;
    height: calc(width+1);
}

.sm-img-grp{
    display: flex;
    justify-content: space-between;
}

.sm-col{
    padding: 3px;
    cursor: pointer;
    flex-basis: 30%;
}

.sm-col img{
    height: 15vh;
}

.single-pro-detail{
    width: 50%;
    padding: 15px;
}

.single-pro-detail select{
    display: block;
    padding: 5px;
    margin-bottom: 10px;
}

.single-pro-detail input{
    width: 47px;
    height: 47px;
    padding-left: 10px;
    font-size: 16px;
    margin-right: 10px;
}

.single-pro-detail button{
    background-color: #465b52;
    color: #e8f6e8;
}

.single-pro-detail span{
    line-height: 25px;
}



/* About Page */

#pg-header.about-header{
    background-image: url("img/fashion2.jpg");
}

.about-head{
    display: flex;
    align-items: center;
}

.about-head img{
    width: 50%;
    height: auto;
}

.about-head div{
    padding-left: 30px;
}

.about-app{
    display: flex;
    justify-content: center;
    align-items: center;
}

.promo{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family: "Ubuntu", sans-serif;
    /* position: relative; */
}

.feature{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    /* position: relative; */
}

.fe{
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 30px;
    position: relative;
}

.s-fe{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    z-index: 1;
}

.s-fe h5{
    font-family: "Playwrite RO", cursive;
    font-size: 15px;
}

#fe-desc{
    /* display: none; */
    padding-left: 40px;
    margin-bottom: 70px;
    font-size: 20px;
    font-family: "M PLUS Rounded 1c", sans-serif;
    transition: transform 0.5s ease-in-out, opacity 0.5s ease-in-out;
    transform: translate(-50%, -50%) translateX(100%);
    opacity: 0;
    position: absolute;
    left: 20%;
    width: 100%;
    white-space: nowrap;
}

.s-fe:hover + #fe-desc{
    /* display: block; */
    transform: translate(-70%, -50%) translateX(0);
    opacity: 1;
}

.s-fe:hover .image {
    transform: translateX(-300px); /* Adjust as needed */
}


/* Contact Page */
.contact-details{
    display: flex;
    justify-content: center;
    align-items: center;
}

.c-det{
    width: 40%;
}

.c-det li{
    display: flex;
    list-style-type: none;
    padding: 10px 0;
}

.c-det i{
    font-size: 14px;
    padding-right: 22px;
}

.c-det li p{
    margin: 0;
    font-size: 14px;
}

.map{
    width: 55%;
    height: 400px;
}

.map iframe{
    width: 100%;
    height: 100%;
}

.form-details{
   display: flex;
   justify-content: space-between;
   margin: 20px;
   padding: 50px;
   border: 1px solid #b4b4b4;
}

.form-details form{
    width: 60%;
    display: flex;
    flex-direction: column;
}

.form-details form input,
.form-details form textarea{
    width: 100%;
    padding: 12px 15px;
    outline: none;
    margin-bottom: 20px;
    border: 1px solid;
}

#nor{
    width: 20%;
    font-size: 15px;
    padding: 15px 30px;
    color: #fff;
    background-color: #175738ef;
    border-radius: 4px;
    cursor: pointer;
    border: 1px solid;
    outline: none;
    transition: .2s;
}

.people{
    margin-right: 15px;
}

.people div img{
    border-radius: 50%;
    width: 110px;
    height: 90px;
}

.people div{
    padding-bottom: 30px;
    display: flex;
    align-items: flex-start;
}

.people p{
    margin: 0;
    font-size: 15px;
    line-height: 25px;
    padding-left: 15px;
}

.people p span{
    display: block;
    font-size: 16px;
    font-weight: 800;
    color: #000;
}


















@media (max-width: 799px){
    #header{
        position: sticky;
    }

    .search__input{
        width: 18em;
    }

    #navbar {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
        position: fixed;
        top: 0;
        right: -300px;
        height: 100vh;
        width: 300px;
        background-color: #E3E6F3;
        box-shadow: 0 40px 60px rgba(0, 0, 0, 0.1);
        padding: 70px 0 0 10px;
        transition: 0.3s;
    }
    
    #navbar.active{
        right: 0;
    }
    #navbar li{
        margin-bottom: 20px;
    }

    .mobile{
        display: flex;
        align-items: center;
    }

    .mobile i{
        font-size: 20px; 
        padding-left: 25px;
    }

    #bag{
        margin-bottom: 4px;
    }

    #close{
        /* position: absolute; */
        top: 0px;
        left: 30px;
        color: #000;
        font-size: 20px;
        display: initial;
        margin-top: 0;
        translate: -25px -290px;
    }

    #close i{
        font-size: 20px;
    }

    #lg-bag{
        display: none;
    }

    #hero {
        
        height: 90vh;
        background-position: top 30% right 45%;
        padding: 0 80px;
    }

    #section-p1.sm-banner{
        width: 91%;
        padding: 2px;
     }

    .banner{
        height: 23vh;
    }

    .banner button{
        width: 20%;
        margin-bottom: 20px;
    }
    
    .banner-box{
        
        min-width: 100%;
        height: 30vh;
    }

    .form{
        width: 70%;
    }

    /* Single Product Page */

    #main-img{
        height: calc(width+1);
    }

    .sm-col img{
    /* display: flex; */
        height: 5vh;
    }


    /* Contact Page */
    .contact-details {
       justify-content: space-between;
    }
    

    .form-details {
        padding: 30px;
    }

    .form-details form {
        width: 50%;
    }

    .people{
        margin: 0;
    }

    .people div img{
        height: 80px;
        width: 100px;
    }

    .people div {
        padding-bottom: 20px;
    }

    #nor {
        width: 40%;
    }
    
}

@media (max-width: 477px){

    .search{
        margin-bottom: .1rem;
    }

    .search__input{
       width: 13em;
       padding: 0.4rem 1rem;
    }

    #header{
        padding: 10px 20px;
    }

    #hero{
        background-position: 50%;
        padding: 0 9px;
    }

    #hero h4{
        font-size: 25px;
    }

    #hero h1{
        font-size: 42px;
    }
    #hero h2{
        font-size: 40px;
    }

    .pro {
        width: 100%;
    }

    #section-p1.product1{
        padding: 40px;
    }

    .banner {
       
        width: 88%;
        height: 23vh;
        padding: 20px;
    }

    .banner button{
        width: 35%;
        padding: 12px;
    }
    
    .banner h3{
        padding-top: 25px;
        font-size: 20px;
        
    }
    
    .banner h2{
        font-size: 25px;
    }

    .banner-box {
        min-width: 100%;
        height: 25vh;
        background-size: cover;
        padding: 10px;
    }

    button.white{
        padding: 5px;
        font-size: 15px;
        width: 35%;
    }

    #section-p1.sm-banner{
       width: 89%;
       padding: 0px;
    }

    .form{
        width: 100%;
    }

    .newsletter{
        padding: 40px 20px;
        height: 90%;
    }

    #section-p1{
        padding: 10px;
    }

   /* Single Product Details */
   .detail {
    display: flex;
    flex-direction: column;
   
    }

    .s-img{
        width: 100%;
        margin-right: 0;
    }

    #main-img{
        height: 45vh;
    }

    .sm-col img{
        height: 12vh;
    }

    .single-pro-detail {
        width: 100%;
        
    }

    /* Contact Page */
    .contact-details {
        flex-direction: column;
     }

     .c-det {
        width: 100%;
        margin-bottom: 10px;
    }

    .map{
        width: 100%;
    }

    .form-details{
        flex-direction: column;
        justify-content: center;
    }

    .form-details form{
        width: 100%;
    }

    .form-details form input,
    .form-details form textarea{
    width: 95%;
    }

}